Bug 183601 - net/netatalk3 no longer needs to disable mDNSResponder support
net/netatalk3 no longer needs to disable mDNSResponder support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 22:30 UTC by Bradley T. Hughes
Modified: 2013-11-11 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.65 KB, patch)
2013-11-02 22:30 UTC, Bradley T. Hughes
no flags Details | Diff
patch-netatalk3.txt (2.71 KB, patch)
2013-11-06 17:45 UTC, Bradley T. Hughes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes 2013-11-02 22:30:00 UTC
The net/netatalk3 port has a patch that explicitly disables detection of the dns_sd.h header installed by net/mDNSResponder. This appears to have been disabled sometime last year in response to a PR, but the problem does not appear to exist anymore. The current Avahi dependency pulls in a great number of dependencies that are undesirable (at least for me).

Attached is a patch to allow selecting net/mDNSResponder as an optional dependency when building net/netatalk3. Avahi remains the default.

Fix: See attached :)

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-11-02 22:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bradley T. Hughes 2013-11-06 17:45:33 UTC
Hi!

Ive been playing more with this, and Ive updated my patch to use OPTIONS_RADIO instead of OPTIONS_SINGLE. Updated patch attached.

--
Bradley T. Hughes
bradleythughes@fastmail.fm
Comment 3 dfilter freebsd_committer 2013-11-11 16:17:08 UTC
Author: marcus
Date: Mon Nov 11 16:16:59 2013
New Revision: 333519
URL: http://svnweb.freebsd.org/changeset/ports/333519

Log:
  Update to 3.1.0.  See
  http://netatalk.sourceforge.net/3.1/ReleaseNotes3.1.0.html for a list of
  changes in this release.
  
  Additionally, re-enable mDNSResponder support [1].
  
  Convert to STAGE.
  
  PR:		183601 [1]
  Submitted by:	"Bradley T. Hughes" <bradleythughes@fastmail.fm> [1]

Modified:
  head/net/netatalk3/Makefile
  head/net/netatalk3/distinfo
  head/net/netatalk3/files/patch-config_Makefile.in
  head/net/netatalk3/files/patch-configure
  head/net/netatalk3/files/patch-etc_apfd_Makefile.in
  head/net/netatalk3/pkg-plist

Modified: head/net/netatalk3/Makefile
==============================================================================
--- head/net/netatalk3/Makefile	Mon Nov 11 16:16:03 2013	(r333518)
+++ head/net/netatalk3/Makefile	Mon Nov 11 16:16:59 2013	(r333519)
@@ -2,14 +2,17 @@
 # $FreeBSD$
 
 PORTNAME=	netatalk
-PORTVERSION=	3.0.5
+PORTVERSION=	3.1.0
 PORTEPOCH=	1
 CATEGORIES=	net
 MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=${PORTNAME}/${PORTNAME}/3.1
 
 MAINTAINER=	marcus@FreeBSD.org
 COMMENT=	File server for Mac OS X
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	gcrypt:${PORTSDIR}/security/libgcrypt \
     		event-2:${PORTSDIR}/devel/libevent2
 
@@ -33,23 +36,20 @@ CONFIGURE_ARGS+=	--enable-tcp-wrappers \
 			--with-libevent-header=${LOCALBASE}/include \
 			--with-libevent-lib=${LOCALBASE}/lib/event2
 
-OPTIONS_DEFINE=PAM KRB5 ZEROCONF LDAP SENDFILE KERBEROS DTRACE DBUS
-OPTIONS_DEFAULT=ZEROCONF KERBEROS DBUS
+OPTIONS_DEFINE=PAM KRB5 LDAP SENDFILE KERBEROS DTRACE DBUS MYSQL
+OPTIONS_DEFAULT=KERBEROS DBUS
+OPTIONS_RADIO=ZEROCONF
+OPTIONS_RADIO_ZEROCONF=AVAHI MDNSRESPONDER
+OPTIONS_DEFAULT+=AVAHI
 
-ZEROCONF_DESC=	Enable Zeroconf (Bonjour) support
+NOZEROCONF_DESC=Disable Zeroconf(Bonjour) support
 KRB5_DESC=	Enable Kerberos V UAM
 DTRACE_DESC=	Enable DTrace support
 SENDFILE_DESC=	Enable Sendfile support
+MYSQL_DESC=	Enable MySQL CNID backend support
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-MAN1=		ad.1 afpldaptest.1 afppasswd.1 apple_dump.1 asip-status.pl.1 \
-		dbd.1 macusers.1 netatalk-config.1 uniconv.1
-MAN5=		afp.conf.5 afp_signature.conf.5 afp_voluuid.conf.5 \
-		extmap.conf.5
-MAN8=		afpd.8 cnid_dbd.8 cnid_metad.8 netatalk.8
-
 CONFLICTS=	bigloo-2.* cap-6.0.* tct-1.* netatalk-[12]* yudit-[0-9]*
 
 .if ${PORT_OPTIONS:MKRB5}
@@ -79,14 +79,23 @@ CONFIGURE_ARGS+=	--without-pam
 PLIST_SUB+=		NETATALKPAM="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MZEROCONF}
+.if ${PORT_OPTIONS:MNOZEROCONF}
+CONFIGURE_ARGS+=	--disable-zerconf
+SUB_LIST+=		ZEROCONF=""
+.endif
+
+.if ${PORT_OPTIONS:MAVAHI}
 CONFIGURE_ARGS+=	--enable-zeroconf=${LOCALBASE}
 CFLAGS+=		-I${LOCALBASE}/include -L${LOCALBASE}/lib
 LIB_DEPENDS+=		avahi-client:${PORTSDIR}/net/avahi-app
 SUB_LIST+=		ZEROCONF="avahi_daemon"
-.else
-CONFIGURE_ARGS+=	--disable-zerconf
-SUB_LIST+=		ZEROCONF=""
+.endif
+
+.if ${PORT_OPTIONS:MMDNSRESPONDER}
+CONFIGURE_ARGS+=	--enable-zeroconf=${LOCALBASE}
+CFLAGS+=		-I${LOCALBASE}/include -L${LOCALBASE}/lib
+LIB_DEPENDS+=		dns_sd:${PORTSDIR}/net/mDNSResponder
+SUB_LIST+=		ZEROCONF="mdnsd"
 .endif
 
 .if ${PORT_OPTIONS:MLDAP}
@@ -107,11 +116,16 @@ CONFIGURE_ARGS+=	--disable-sendfile
 LIB_DEPENDS+=		dbus-glib-1:${PORTSDIR}/devel/dbus-glib
 RUN_DEPENDS+=		${LOCALBASE}/libdata/pkgconfig/dbus-python.pc:${PORTSDIR}/devel/py-dbus
 PLIST_SUB+=		DBUS=""
-MAN1+=			afpstats.1
 .else
 PLIST_SUB+=		DBUS="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MMYSQL}
+USE_MYSQL=	yes
+.else
+CONFIGURE_ARGS+=--with-mysql-config=/nonexistent
+.endif
+
 .if ${OSVERSION} < 800031
 PLIST_SUB+=	ATFUNCS="@comment "
 .else
@@ -126,11 +140,11 @@ post-patch:
 
 post-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/contrib/macusers/macusers \
-		${PREFIX}/bin/macusers
-	[ -f ${PREFIX}/etc/afp.conf ] || \
-		${INSTALL_DATA} -c ${PREFIX}/etc/afp.conf.dist ${PREFIX}/etc/afp.conf
-	[ -f ${PREFIX}/etc/extmap.conf ] || \
-		${INSTALL_DATA} -c ${PREFIX}/etc/extmap.conf.dist ${PREFIX}/etc/extmap.conf
+		${STAGEDIR}${PREFIX}/bin/macusers
+	[ -f ${STAGEDIR}${PREFIX}/etc/afp.conf ] || \
+		${INSTALL_DATA} -c ${STAGEDIR}${PREFIX}/etc/afp.conf.dist ${STAGEDIR}${PREFIX}/etc/afp.conf
+	[ -f ${STAGEDIR}${PREFIX}/etc/extmap.conf ] || \
+		${INSTALL_DATA} -c ${STAGEDIR}${PREFIX}/etc/extmap.conf.dist ${STAGEDIR}${PREFIX}/etc/extmap.conf
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/net/netatalk3/distinfo
==============================================================================
--- head/net/netatalk3/distinfo	Mon Nov 11 16:16:03 2013	(r333518)
+++ head/net/netatalk3/distinfo	Mon Nov 11 16:16:59 2013	(r333519)
@@ -1,2 +1,2 @@
-SHA256 (netatalk-3.0.5.tar.bz2) = 884247728b56b510347785f576be2df76afb293649870c4cd7fdb3048a64b4a9
-SIZE (netatalk-3.0.5.tar.bz2) = 1713998
+SHA256 (netatalk-3.1.0.tar.bz2) = 18626e1674e4eace896ece44f06650e75f70130f4bf5403dd17152ad3d620db5
+SIZE (netatalk-3.1.0.tar.bz2) = 1802913

Modified: head/net/netatalk3/files/patch-config_Makefile.in
==============================================================================
--- head/net/netatalk3/files/patch-config_Makefile.in	Mon Nov 11 16:16:03 2013	(r333518)
+++ head/net/netatalk3/files/patch-config_Makefile.in	Mon Nov 11 16:16:59 2013	(r333519)
@@ -1,20 +1,20 @@
---- config/Makefile.in.orig	2012-07-09 07:43:25.000000000 -0400
-+++ config/Makefile.in	2012-09-03 10:39:47.000000000 -0400
-@@ -704,8 +704,8 @@ install-data-local: install-config-files
+--- config/Makefile.in.orig	2013-10-28 11:49:55.000000000 -0400
++++ config/Makefile.in	2013-11-11 11:05:05.000000000 -0500
+@@ -790,8 +790,8 @@ install-data-local: install-config-files
  
  uninstall-local:
- 	for f in $(CONFFILES) $(GENFILES); do \
+ 	@for f in $(CONFFILES) $(GENFILES); do \
 -		echo rm -f $(DESTDIR)$(pkgconfdir)/$$f; \
 -		rm -f $(DESTDIR)$(pkgconfdir)/$$f; \
-+		echo rm -f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
-+		rm -f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
++	    echo rm -f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
++	    rm -f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
  	done
+ 	rm -f $(DESTDIR)$(pkgconfdir)/dbus-session.conf
  	rm -f $(DESTDIR)$(localstatedir)/netatalk/README
- 	rm -f $(DESTDIR)$(localstatedir)/netatalk/CNID/README
-@@ -714,20 +714,12 @@ uninstall-local:
+@@ -801,21 +801,16 @@ uninstall-local:
  install-config-files: $(CONFFILES) $(GENFILES)
  	$(mkinstalldirs) $(DESTDIR)$(pkgconfdir)
- 	for f in $(CONFFILES) ; do \
+ 	@for f in $(CONFFILES) ; do \
 -		if test "x$(OVERWRITE_CONFIG)" = "xyes" -o ! -f $(DESTDIR)$(pkgconfdir)/$$f; then \
 -			echo "$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)"; \
 -			$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(pkgconfdir); \
@@ -24,15 +24,19 @@
 +	    echo "$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)/$$f.dist"; \
 +	    $(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
  	done
- 	for f in $(GENFILES); do \
+ 	@for f in $(GENFILES); do \
 -		if test "x$(OVERWRITE_CONFIG)" = "xyes" -o ! -f $(DESTDIR)$(pkgconfdir)/$$f; then \
 -			echo "$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)"; \
 -			$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir); \
 -		else \
 -			echo "not overwriting $$f"; \
 -		fi; \
-+	    echo "$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)/$$f.dist"; \
-+	    $(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
++	    if [ $$f != "dbus-session.conf" ]; then \
++	    	echo "$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)/$$f.dist"; \
++	    	$(INSTALL_DATA) $$f $(DESTDIR)$(pkgconfdir)/$$f.dist; \
++	    fi; \
  	done
++	$(INSTALL_DATA) dbus-session.conf $(DESTDIR)$(pkgconfdir)/dbus-session.conf.netatalk
  
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.

Modified: head/net/netatalk3/files/patch-configure
==============================================================================
--- head/net/netatalk3/files/patch-configure	Mon Nov 11 16:16:03 2013	(r333518)
+++ head/net/netatalk3/files/patch-configure	Mon Nov 11 16:16:59 2013	(r333519)
@@ -1,14 +1,5 @@
 --- configure.orig	2012-04-26 10:27:12.000000000 -0400
 +++ configure	2012-07-08 21:21:38.000000000 -0400
-@@ -16127,7 +16127,7 @@ fi
- 		fi
- 
-         # mDNS support using mDNSResponder
--        ac_fn_c_check_header_mongrel "$LINENO" "dns_sd.h" "ac_cv_header_dns_sd_h" "$ac_includes_default"
-+        ac_fn_c_check_header_mongrel "$LINENO" "xxxdns_sd.hxxx" "ac_cv_header_dns_sd_h" "$ac_includes_default"
- if test "x$ac_cv_header_dns_sd_h" = xyes; then :
-   { $as_echo "$as_me:${as_lineno-$LINENO}: checking for DNSServiceRegister in -ldns_sd" >&5
- $as_echo_n "checking for DNSServiceRegister in -ldns_sd... " >&6; }
 @@ -18150,7 +18150,7 @@ if test "x$bdb_required" = "xyes"; then
      trybdbdir=""
      dobdbsearch=yes

Modified: head/net/netatalk3/files/patch-etc_apfd_Makefile.in
==============================================================================
--- head/net/netatalk3/files/patch-etc_apfd_Makefile.in	Mon Nov 11 16:16:03 2013	(r333518)
+++ head/net/netatalk3/files/patch-etc_apfd_Makefile.in	Mon Nov 11 16:16:59 2013	(r333519)
@@ -1,6 +1,6 @@
---- etc/afpd/Makefile.in.orig	2013-08-14 05:57:05.000000000 -0400
-+++ etc/afpd/Makefile.in	2013-08-18 11:58:47.000000000 -0400
-@@ -162,7 +162,7 @@ AM_V_at = $(am__v_at_@AM_V@)
+--- etc/afpd/Makefile.in.orig	2013-10-28 11:49:56.000000000 -0400
++++ etc/afpd/Makefile.in	2013-11-11 10:38:34.000000000 -0500
+@@ -170,7 +170,7 @@ AM_V_at = $(am__v_at_@AM_V@)
  am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  am__v_at_0 = @
  am__v_at_1 = 
@@ -9,12 +9,12 @@
  depcomp = $(SHELL) $(top_srcdir)/depcomp
  am__depfiles_maybe = depfiles
  am__mv = mv -f
-@@ -408,7 +408,7 @@ afpd_SOURCES = afp_avahi.c afp_config.c 
+@@ -433,7 +433,7 @@ afpd_SOURCES = afp_avahi.c afp_config.c 
  afpd_LDADD = $(top_builddir)/libatalk/libatalk.la @LIBGCRYPT_LIBS@ \
  	@QUOTA_LIBS@ @WRAP_LIBS@ @LIBADD_DL@ @ACL_LIBS@ \
  	@ZEROCONF_LIBS@ @PTHREAD_LIBS@ @GSSAPI_LIBS@ @KRB5_LIBS@ \
--	$(am__append_7)
-+	@PAM_LIBS@ $(am__append_7)
+-	@MYSQL_LIBS@ $(am__append_7)
++	@MYSQL_LIBS@ @PAM_LIBS@ $(am__append_7)
  afpd_LDFLAGS = -export-dynamic $(am__append_6)
  afpd_CFLAGS = @ZEROCONF_CFLAGS@ @GSSAPI_CFLAGS@ @KRB5_CFLAGS@ \
  	@PTHREAD_CFLAGS@ -DAPPLCNAME -DSERVERTEXT=\"$(SERVERTEXT)/\" \

Modified: head/net/netatalk3/pkg-plist
==============================================================================
--- head/net/netatalk3/pkg-plist	Mon Nov 11 16:16:03 2013	(r333518)
+++ head/net/netatalk3/pkg-plist	Mon Nov 11 16:16:59 2013	(r333519)
@@ -11,8 +11,9 @@ bin/netatalk-config
 bin/uniconv
 @unexec if cmp -s %D/etc/afp.conf %D/etc/afp.conf.dist; then rm -f %D/etc/afp.conf; fi
 etc/afp.conf.dist
-%%DBUS%%etc/dbus-1/system.d/netatalk-dbus.conf
 @exec [ -f %B/afp.conf ] || cp %B/%f %B/afp.conf
+%%DBUS%%etc/dbus-1/system.d/netatalk-dbus.conf
+%%DBUS%%etc/dbus-session.conf.netatalk
 @unexec if cmp -s %D/etc/extmap.conf %D/etc/extmap.conf.dist; then rm -f %D/etc/extmap.conf; fi
 etc/extmap.conf.dist
 @exec [ -f %B/extmap.conf ] || cp %B/%f %B/extmap.conf
@@ -71,7 +72,25 @@ include/atalk/volume.h
 lib/libatalk.a
 lib/libatalk.la
 lib/libatalk.so
-lib/libatalk.so.6
+lib/libatalk.so.12
+man/man1/ad.1.gz
+man/man1/afpldaptest.1.gz
+man/man1/afppasswd.1.gz
+%%DBUS%%man/man1/afpstats.1.gz
+man/man1/apple_dump.1.gz
+man/man1/asip-status.pl.1.gz
+man/man1/dbd.1.gz
+man/man1/macusers.1.gz
+man/man1/netatalk-config.1.gz
+man/man1/uniconv.1.gz
+man/man5/afp.conf.5.gz
+man/man5/afp_signature.conf.5.gz
+man/man5/afp_voluuid.conf.5.gz
+man/man5/extmap.conf.5.gz
+man/man8/afpd.8.gz
+man/man8/cnid_dbd.8.gz
+man/man8/cnid_metad.8.gz
+man/man8/netatalk.8.gz
 sbin/afpd
 sbin/cnid_dbd
 sbin/cnid_metad
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Joe Marcus Clarke freebsd_committer 2013-11-11 16:17:40 UTC
State Changed
From-To: open->closed

Committed, thanks!